Get Customer
curl --request GET \
--url https://api.example.com/api/v1/customers/{customer_id} \
--header 'x-api-key: <x-api-key>'{
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"nomba_customer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_name": "<string>",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"interval": "<string>",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z"
}
],
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z"
}
]
}Customers
Get customer
GET
/
api
/
v1
/
customers
/
{customer_id}
Get Customer
curl --request GET \
--url https://api.example.com/api/v1/customers/{customer_id} \
--header 'x-api-key: <x-api-key>'{
"customer": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "<string>",
"name": "<string>",
"nomba_customer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"subscriptions": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"plan_name": "<string>",
"status": "<string>",
"amount": 123,
"currency": "<string>",
"interval": "<string>",
"current_period_start": "2023-11-07T05:31:56Z",
"current_period_end": "2023-11-07T05:31:56Z",
"cancelled_at": "2023-11-07T05:31:56Z"
}
],
"invoices": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"currency": "<string>",
"status": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"paid_at": "2023-11-07T05:31:56Z"
}
]
}Headers
Path Parameters
⌘I